/*---------------------
     HOME SECTION
-----------------------*/

*{
    margin:0;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

body{
	font-family: 'Poppins', sans-serif;
	font-weight: 400;
}



/*ANTES DEL MENÚ*/
.before-menu-flex{
    height:100px;
    width:100%;
    background-color:var(--black);
}

.centrarElementosPreheader{
    width:100%;max-width:1150px;
    height:80px;
    margin:auto;
    display: flex;
    justify-content:space-between;
    align-items: center;
    flex-wrap: wrap;
    color:var(--white);
    padding-bottom:20px;

}




.before-menu-flex img{
    width:220px;
    padding: 10px 0px 10px 0px;
}

.before-menu-flex div{
    display:flex;
    flex-wrap: wrap;
}


/*VISTA DE PC*/
.flex-datos-separados-pc{
    display: flex;
    justify-content:space-between;
    align-items: center;display:inline-block;
    margin-top:-5px;
    /*background-color: red;*/
}




.flex-datos-separados-pc .cj-1-heredado .item-before-menu{
    color:var(--white);padding:1px 30px 1px 30px;transition:all ease .3s;
    display:flex;
    align-items:center;
    flex-wrap:nowrap;
}

.flex-datos-separados-pc .cj-1-heredado .item-before-menu i{
    padding-right:10px;
    font-size:24px;
    color:var(--principal);
}

.b-right{
    border-right:1px solid #dcdada;
    width:360px;
    font-size:12px;
}

.b-move{
    margin-left:5px;
}

.flex-datos-separados-pc .cj-1-heredado .item-before-menu:hover{
    color:var(--principal);cursor:pointer;
}





.cj-2-heredado{
    width:auto;justify-content: center;margin:0px 20px 0px 40px;
}


.cj-2-heredado .icon{

    width:40px;height:40px;
    border:1px solid var(--principal);
    background-color: var(--principal);
    transition:all ease .3s;
    margin-left:12px;

    border-radius:5px;

    display:flex;
    justify-content: center;
    align-items: center;

    color:var(--black);
}


.cj-2-heredado .icon:hover{
    border:1px solid var(--white);background-color:var(--white);
}






.container{
    max-width:1200px;
    background-color:var(--principal);
    margin:auto;
}

/*CLASE CONTAINER PAR EL FIXED DEL HEADER*/
.anchocontain{ max-width:100%;background-color:var(--principal);transition: all ease .1s;}

ul{
  list-style:none;
  margin:0;
  padding:0;
}

a{
    text-decoration:none;
}

/*HEADER*/
 .header{
     width:100%;
     margin-top:-0px;
     z-index:2;
     position: relative;
 }

/*CLASE FIXED PAR MENU SCROOL*/
.fixed{
    position:fixed;
    max-width:100%; 
    margin-top: -100px !important;
    transition: all ease .1s;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}


.header-main{
    background-color: var(--principal);
    display:flex;
    justify-content: space-between;
    align-items: center;
    padding:8.5px 0px;
}


.header .cut-rombo .romborotate{
    width:55px;height:55px;position: absolute;
    margin-left:-25px;
}

.header .cut-rombo .romborotate span::after{
    content:'';overflow-y: auto;
    position:absolute;
    left:0;
    width:100%;
    height:100%;
    background-color: var(--principal);
    box-sizing: border-box;
    transform: translate(-5%,-50%) rotate(45deg);
    transform: all ease .3s;
}


.header .logo{
    padding: 0 15px; display:none;
}

.header .logo > a img{
   width:150px;
}


.header .logoblanco{
    padding: 0 15px; display:none;
}

.header .logoblanco > a img{
    width:180px;
 }
 
 .header.fixed .logoblanco{
    margin-left:-55px;
    z-index:1;
 }

 .header.fixed .buscador{
    margin-left:0px;
 }



.header .nav-menu{
    padding: 0 25px;
}


.header .menu > .menu-item{
    display: inline-block;
    margin-left:50px;
    position: relative;
}




.header .menu > .menu-item > a{
  display:block;
  padding:20px 0;
  font-size:14.5px;
  text-transform:uppercase;
  color:var(--black);
  font-weight:bold;
  transform: all ease .3s;
}


.header .menu > .menu-item > a .plus{
    display:inline-block;
    height:12px;
    width:12px;
    position: relative;
    margin-left:5px;
    pointer-events: none;
}


.header .menu > .menu-item > a .plus::after{
    content:'\221F';
    position: absolute;
    box-sizing:border-box;
    left:50%;font-size:10px;
    top:50%;
    transform: translate(-50%,-50%) rotate(-45deg);
    transform: all ease .3s;
    color:var(--black);
}

.header .menu > .menu-item > a.hoverInPage .plus::after {
    color: var(--white); /* Cambia a blanco */
}


.hoverInPage{
    background-color: var(--black);
    color:var(--white) !important;
}


.header .menu > .menu-item > .sub-menu a:hover{
    color:var(--principal);
}

.header .menu > .menu-item:hover > a{
    color:var(--white);
}

.header .menu > .menu-item > .sub-menu{
    box-shadow: 0 0 10px rgba(0,0,0,0.2);
    width: 220px;
    position: absolute;
    left:0;
    top:100%;
    background-color: #ffffff;
    border-top:3px solid var(--principal);
    transform: translateY(30px);
    transition:all ease .3s;
    opacity:0;
    visibility: hidden;
}


.header .menu > .movedFirst{
    margin-left:0px !important;
}






/*MOSTRAR EL HOVER DEL SUBMEMU DESDE UN MÍNIMO DE 992PX HASTA ANCHOS SUPERIORES*/
@media(min-width:992px){

    /*HEADER*/
    .header{
        margin-top:-39px;
    }

    
    .hoverInPage{
        background-color: var(--black);
        color:var(--white) !important;
        border-radius:25px;
        padding:10px 35px !important;
    }


    .header .menu > .menu-item-has-children:hover > .sub-menu{
        transform:translateY(7px);
        opacity:1;
        visibility: visible;
    }

    .header .menu > .menu-item-has-children:hover > a .plus::after{
        transform: translate(-50%,-50%) rotate(135deg); top:80%;
    }
    

}


.header .menu > .menu-item > .sub-menu > .menu.item{
    display:block;
}

.header .menu > .menu-item > .sub-menu  a{
    display:block;
    padding:10px 20px;
    font-size:15px;
    color:var(--black);
    transition:all ease .3s;
    text-transform:capitalize;
}


/*ABRIR MENU RESPONSIVE*/
.header .open-nav-menu{
   height:34px; 
   width:40px;
   margin-right: 15px;
   display:none;margin-left:20px;
   align-items: center;
   justify-content: center;
   cursor:pointer;
}
.header .open-nav-menu span{
    display:block;
    height: 3px;
    width: 24px;
    background-color: var(--white);
    position: relative;
}

.header .open-nav-menu span:before,
.header .open-nav-menu span:after{
    content:'';
    position:absolute;
    left:0;
    width:100%;
    height:100%;
    background-color: var(--white);
    box-sizing: border-box;
}

.header .open-nav-menu span:before{
    top:-7px;
}

.header .open-nav-menu span:after{
    top:7px;
}


/*CERRAR MENU RESPONSIVE*/
.header .close-nav-menu{
    height: 40px;
    width: 40px;
    background-color:#e6e6e6;
    padding:20px 20px 15px 20px;
    margin-bottom:18px;margin-left:15px;
    cursor:pointer;
    transition:all ease .3s;margin-right:0px;
    display: none;
}

.header .close-nav-menu span:before,
.header .close-nav-menu span:after{
    content:'';
    position: absolute;
    box-sizing:border-box;
    background-color:var(--grisoscuro);
    height: 2px;
    width:25px;
    transform: translate(-50%,-50%) rotate(45deg);
    transform: all ease .3s;
}

.header .close-nav-menu span:after{
    transform: translate(-50%,-50%) rotate(-45deg);
}


.header .menu-overlay{
    position:fixed;
    z-index:999;
    background-color:rgba(0,0,0,0.5);
    left:0;
    top:0;
    height:100%;
    width:100%;
    visibility:hidden;
    opacity:0;
    transition:all ease .3s;
}

.header .menu-overlay.active{
    visibility:visible;
    opacity:1;
}


.buscador{
    width:40px;
    height:40px;
    background-color:var(--white);
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;

    margin-left:-150px;
}






/*----------------
    RESPONSIVE
------------------*/

@media(max-width:1240px){
.container{max-width:1050px;}
.header .menu > .menu-item{ margin-left:30px;}
}

@media(max-width:1170px){
    .header .menu > .menu-item{margin-left:15px;}
    .container{max-width:880px;}
    .buscador{margin-left:-50px;}
}      
       
@media(max-width:1025px){
    .header .menu > .menu-item{ margin-left:10px;}
}


              


@media(max-width:991px){
    /*---------------------
        ANTES DEL MENÚ
    -----------------------*/

    .before-menu-flex{
        height: 0px;
    }
    /*Ocultando menu*/
    .before-menu-flex img{
        display:none;
    }

    /*Carrito en posicion absoluta*/
    .icon-carrito{position: absolute;margin-left:80%;margin-top:5px;position:fixed;z-index:100;}
    .icon-carrito img{display: block;z-index:100;}

/* ///////////////////////////////////////////////////////////////////////////////  */

    /*datos de la empresa */
    .before-menu-flex div{
        display:flex;
        flex-wrap: wrap;
    }
    

    /*vista de PC*/
    .flex-datos-separados-pc{display:none;}
    .flex-datos-separados-pc > .cj-1-heredado{display:none;}
    .flex-datos-separados-pc > .cj-2-heredado{display:none;}

 

    .b-right{border:none;}
    .b-move{margin:0;}
    .cj-2-heredado{width:200px;justify-content:center;margin:0px 0px 0px 0px;}
    .cj-2-heredado div{margin-left:10px;margin-bottom:10px;}


/*   ///////////////////////////////////////////////////////////////////////////      */







    /*ROMBO CORTADO*/
    .cut-rombo{display:none;}

    /*LOGO*/
    .header .logo{padding: 0 15px; display:block;}
    

    .container{width:100%;max-width:100%;}

    /*Efecto contain para el script*/
    .anchocontain{ max-width:100%;background-color:var(--white);}
    
    .header{
     padding: 0px;
    }
    .header-main{
        background-color:var(--black);
        box-shadow:0 0 25px 5px rgba(194, 194, 194, 0.2);
    }
    .header .nav-menu{
        position:fixed;
        left:-280px;
        margin-left: 0px;
        visibility:hidden;
        width:280px;
        height:100%;
        top:0;
        overflow-y:auto;
        background-color: var(--white);
        z-index:1000;
        padding: 15px 0px;
        transition:all ease .5s;
    }

    .header .menu > .menu-item > .sub-menu a:hover,
    .header .menu > .menu-item:hover > a{
        background-color:var(--principal);color:var(--white);
    }


    .header .nav-menu.open{
        visibility:visible;
        left:0px;
    }

    .header .menu > .menu-item{
        display:block;
        margin:0px;
    }

    .header .menu > .menu-item-has-children > a{
        display:flex;
        justify-content:space-between;
        align-items:center;
    }

    .header .menu > .menu-item:first-child > a{
        border-top: 1px solid #e8e8e8;
    }
   
    .header .menu > .menu-item > a{
        color: var(--grisclaro);
        padding: 18px 15px;
        /*border-bottom:1px solid var(--white);*/
    }


    /*.header .menu > .menu-item:first-child > a{
        border-top:1px solid var(--white);
    }*/
    .header .menu > .menu-item > a .plus::after{
    font-size:15px;color:var(--grisoscuro);}
    .header .menu > .menu-item > a:hover .plus::after{
        color:var(--white);
    }

    .header .menu > .menu-item-has-children.active > a{
        background-color:var(--principal);color:var(--white);
    }


    .header .menu > .menu-item-has-children.active > a .plus:after{
        transform: translate(-50%, -50%) rotate(135deg);color:var(--white);
    }


    .header .menu > .menu-item > .sub-menu{
        width:100%;
        position:relative;
        opacity:1;
        visibility:visible;
        border:none;
        background-color:transparent;
        box-sizing:none;
        transform:translateY(0px);
        padding:0px;
        left:auto;
        top:auto;
        max-height:0;
        overflow: hidden;
        box-shadow:none;
    }

    .header .menu > .menu-item > .sub-menu > .menu-item > a{
        padding:12px 45px;
        color:var(--grisclaro);
       /* border-bottom: 1px solid var(--claro);*/
    }

    .header .menu > .menu-item > .sub-menu > .menu-item > a:hover{
        color:var(--white);
    }


    .header .close-nav-menu,
    .header .open-nav-menu{
        display:flex;
    }




    /*PULSO DATOS DE LA EMPRESA*/
    .pulso-datos {
        width:6px;height:6px;
        margin-right:11px;
        margin-top:20px;
        background-color:var(--grisoscuro);
        cursor:pointer;border-radius:40%;
    }


    
    .buscador{order:3;margin-right:10px;background-color:var(--principal);color:var(--white);}


}


@media(max-width:575px){
    .header .logo{margin-left:-70px;}
}


@media(max-width:436px){
    .header .logo{margin-left:-85px;}
    .header .logo > a img{width:100px;}
}
